#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/apache2/conf/mod_svn.conf.new
config etc/subversion/config.new
config etc/subversion/servers.new
config usr/bin/svnserve.new

# set correct permissions on svnserve
if [ ! -f /usr/bin/svnserve.new ]; then
	chmod 755 usr/bin/svnserve
	chown root.bin usr/bin/svnserve
fi

for i in config servers
do
if [ -f /etc/subversion/$i.new ]; then
	rm -f /etc/subversion/$i.new
fi
done

if [ -f /usr/bin/svnserve.new ]; then
	rm -f /usr/bin/svnserve.new
fi

# If the svn user/group don't exist, add them:
if grep "^svn:x:" etc/passwd 1> /dev/null 2> /dev/null ; then
  true
else
  echo "svn:x:74:74:svn:/:" >> etc/passwd
fi
if grep "^svn::" etc/group 1> /dev/null 2> /dev/null ; then
  true
else
  echo "svn::74:svn" >> etc/group
fi
if grep "^svn:" etc/shadow 1> /dev/null 2> /dev/null ; then
  true
else
  echo "svn:*:9191:0:::::" >> etc/shadow
fi
( cd usr/lib ; rm -rf libapr-0.so.0 )
( cd usr/lib ; ln -sf libapr-0.so.0.9.6 libapr-0.so.0 )
( cd usr/lib ; rm -rf libapr-0.so )
( cd usr/lib ; ln -sf libapr-0.so.0.9.6 libapr-0.so )
( cd usr/lib ; rm -rf libaprutil-0.so.0 )
( cd usr/lib ; ln -sf libaprutil-0.so.0.9.6 libaprutil-0.so.0 )
( cd usr/lib ; rm -rf libaprutil-0.so )
( cd usr/lib ; ln -sf libaprutil-0.so.0.9.6 libaprutil-0.so )
( cd usr/lib ; rm -rf libsvn_subr-1.so.0 )
( cd usr/lib ; ln -sf libsvn_subr-1.so.0.0.0 libsvn_subr-1.so.0 )
( cd usr/lib ; rm -rf libsvn_subr-1.so )
( cd usr/lib ; ln -sf libsvn_subr-1.so.0.0.0 libsvn_subr-1.so )
( cd usr/lib ; rm -rf libsvn_delta-1.so.0 )
( cd usr/lib ; ln -sf libsvn_delta-1.so.0.0.0 libsvn_delta-1.so.0 )
( cd usr/lib ; rm -rf libsvn_delta-1.so )
( cd usr/lib ; ln -sf libsvn_delta-1.so.0.0.0 libsvn_delta-1.so )
( cd usr/lib ; rm -rf libsvn_fs_fs-1.so.0 )
( cd usr/lib ; ln -sf libsvn_fs_fs-1.so.0.0.0 libsvn_fs_fs-1.so.0 )
( cd usr/lib ; rm -rf libsvn_fs_fs-1.so )
( cd usr/lib ; ln -sf libsvn_fs_fs-1.so.0.0.0 libsvn_fs_fs-1.so )
( cd usr/lib ; rm -rf libsvn_fs_base-1.so.0 )
( cd usr/lib ; ln -sf libsvn_fs_base-1.so.0.0.0 libsvn_fs_base-1.so.0 )
( cd usr/lib ; rm -rf libsvn_fs_base-1.so )
( cd usr/lib ; ln -sf libsvn_fs_base-1.so.0.0.0 libsvn_fs_base-1.so )
( cd usr/lib ; rm -rf libsvn_fs-1.so.0 )
( cd usr/lib ; ln -sf libsvn_fs-1.so.0.0.0 libsvn_fs-1.so.0 )
( cd usr/lib ; rm -rf libsvn_fs-1.so )
( cd usr/lib ; ln -sf libsvn_fs-1.so.0.0.0 libsvn_fs-1.so )
( cd usr/lib ; rm -rf libsvn_ra_svn-1.so.0 )
( cd usr/lib ; ln -sf libsvn_ra_svn-1.so.0.0.0 libsvn_ra_svn-1.so.0 )
( cd usr/lib ; rm -rf libsvn_ra_svn-1.so )
( cd usr/lib ; ln -sf libsvn_ra_svn-1.so.0.0.0 libsvn_ra_svn-1.so )
( cd usr/lib ; rm -rf libsvn_repos-1.so.0 )
( cd usr/lib ; ln -sf libsvn_repos-1.so.0.0.0 libsvn_repos-1.so.0 )
( cd usr/lib ; rm -rf libsvn_repos-1.so )
( cd usr/lib ; ln -sf libsvn_repos-1.so.0.0.0 libsvn_repos-1.so )
( cd usr/lib ; rm -rf libsvn_ra_local-1.so.0 )
( cd usr/lib ; ln -sf libsvn_ra_local-1.so.0.0.0 libsvn_ra_local-1.so.0 )
( cd usr/lib ; rm -rf libsvn_ra_local-1.so )
( cd usr/lib ; ln -sf libsvn_ra_local-1.so.0.0.0 libsvn_ra_local-1.so )
( cd usr/lib ; rm -rf libsvn_ra_dav-1.so.0 )
( cd usr/lib ; ln -sf libsvn_ra_dav-1.so.0.0.0 libsvn_ra_dav-1.so.0 )
( cd usr/lib ; rm -rf libsvn_ra_dav-1.so )
( cd usr/lib ; ln -sf libsvn_ra_dav-1.so.0.0.0 libsvn_ra_dav-1.so )
( cd usr/lib ; rm -rf libsvn_diff-1.so.0 )
( cd usr/lib ; ln -sf libsvn_diff-1.so.0.0.0 libsvn_diff-1.so.0 )
( cd usr/lib ; rm -rf libsvn_diff-1.so )
( cd usr/lib ; ln -sf libsvn_diff-1.so.0.0.0 libsvn_diff-1.so )
( cd usr/lib ; rm -rf libsvn_ra-1.so.0 )
( cd usr/lib ; ln -sf libsvn_ra-1.so.0.0.0 libsvn_ra-1.so.0 )
( cd usr/lib ; rm -rf libsvn_ra-1.so )
( cd usr/lib ; ln -sf libsvn_ra-1.so.0.0.0 libsvn_ra-1.so )
( cd usr/lib ; rm -rf libsvn_wc-1.so.0 )
( cd usr/lib ; ln -sf libsvn_wc-1.so.0.0.0 libsvn_wc-1.so.0 )
( cd usr/lib ; rm -rf libsvn_wc-1.so )
( cd usr/lib ; ln -sf libsvn_wc-1.so.0.0.0 libsvn_wc-1.so )
( cd usr/lib ; rm -rf libsvn_client-1.so.0 )
( cd usr/lib ; ln -sf libsvn_client-1.so.0.0.0 libsvn_client-1.so.0 )
( cd usr/lib ; rm -rf libsvn_client-1.so )
( cd usr/lib ; ln -sf libsvn_client-1.so.0.0.0 libsvn_client-1.so )
